For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

List models

GET
https://api.ideogram.ai/models
GET
/models
$curl https://api.ideogram.ai/models \
> -H "Api-Key: <apiKey>"
1{
2 "models": [
3 {
4 "model_id": "model_id",
5 "name": "name",
6 "status": "CREATING",
7 "creation_time": "2000-01-23 04:56:07+00:00",
8 "is_available_for_generation": true,
9 "is_owned": true,
10 "custom_model_uri": "model/my-custom-model/version/1",
11 "dataset_id": "dataset_id",
12 "last_update_time": "2000-01-23 04:56:07+00:00"
13 },
14 {
15 "model_id": "model_id",
16 "name": "name",
17 "status": "CREATING",
18 "creation_time": "2000-01-23 04:56:07+00:00",
19 "is_available_for_generation": true,
20 "is_owned": true,
21 "custom_model_uri": "model/my-custom-model/version/1",
22 "dataset_id": "dataset_id",
23 "last_update_time": "2000-01-23 04:56:07+00:00"
24 }
25 ]
26}
Lists custom models for the authenticated user. Use the `scope` parameter to control which models are returned. If omitted, returns both owned models and models shared with the user's organization via the model registry. `owned` returns only models created by the user. `shared` returns only models shared via the model registry, excluding the user's own models.
Was this page helpful?
Previous

Get model details

Next
Built with

Lists custom models for the authenticated user. Use the scope parameter to control which models are returned. If omitted, returns both owned models and models shared with the user’s organization via the model registry. owned returns only models created by the user. shared returns only models shared via the model registry, excluding the user’s own models.

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Query parameters

scopeenumOptional

Controls which models are returned. Omit to return both owned and shared models combined. owned returns only models created by the authenticated user. shared returns only models shared with the user’s organization via the model registry.

Allowed values:
statuslist of enumsOptional

Filter by model status. Applied to owned models only; shared models in the model registry are already filtered to available versions. Example: ?status=TRAINING&status=COMPLETED

Response

Models retrieved successfully
modelslist of objects
List of models.

Errors

401
Unauthorized Error